mod field;

use field::Field;

pub struct Reply;

impl Reply {
    pub fn get_session(&self) -> String {
        "id".to_string()
    }

    pub fn get_content(&self) -> String {
        "Something goes here.".to_string()
    }
}

#[derive(Clone)]
pub struct MoreThanText;

impl MoreThanText {
    pub fn new() -> Self {
        Self {}
    }

    pub fn request<F>(&self, _session: Option<F>) -> Reply
    where
        F: Into<Field>,
    {
        Reply {}
    }
}
